package com.kmall.common.utils.wxtemplate;

import java.util.List;

/**
 * 微信模板
 *
 * @author Scott(CN)
 * @date 2017/11/29.
 */
public class WxTemplate2 {
    private WxTemplate mp_template_msg;//模板ID
    private String touser;//目标客户

    public WxTemplate getMp_template_msg() {
        return mp_template_msg;
    }

    public void setMp_template_msg(WxTemplate mp_template_msg) {
        this.mp_template_msg = mp_template_msg;
    }

    public String getTouser() {
        return touser;
    }

    public void setTouser(String touser) {
        this.touser = touser;
    }

    public String toJSON() {
        StringBuffer buffer = new StringBuffer();
        buffer.append("{");
        buffer.append(String.format("\"touser\":\"%s\"", this.touser)).append(",");
        buffer.append(String.format("\"mp_template_msg\":\"%s\"", this.mp_template_msg)).append(",");
        buffer.append("}");
        return buffer.toString();
    }
}
